/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:mktemp.c 12.0$ */
/* $ACIS:mktemp.c 12.0$ */
/* $Source: /ibm/acis/usr/src/lib/libc/gen/RCS/mktemp.c,v $ */

#ifndef lint
static char *rcsid = "$Header:mktemp.c 12.0$";
#endif

#if defined(LIBC_SCCS) && !defined(lint)
static char sccsid[] = "@(#)mktemp.c	5.2 (Berkeley) 3/9/86";
#endif LIBC_SCCS and not lint

char *
mktemp(as)
char *as;
{
	register char *s;
	register unsigned pid;
	register i;

	pid = getpid();
	s = as;
	while (*s++)
		;
	s--;
	while (*--s == 'X') {
		*s = (pid%10) + '0';
		pid /= 10;
	}
	s++;
	i = 'a';
	while (access(as, 0) != -1) {
		if (i=='z')
			return("/");
		*s = i++;
	}
	return(as);
}
